# commit
%global _commit 3312c738339f65a1461eec3229f44c857590ca89
%global _shortcommit %(c=%{_commit}; echo ${c:0:7})

Name:           cvechecker
Version:        3.7
Release:        2%{?dist}
Summary:        Tool for compare packages installed in your system with CVE database
Group:          Applications/System
License:        GPLv3
URL:            https://github.com/sjvermeu/cvechecker
#Source0:       %%{url}/archive/%%{_commit}/%%{_commit}.tar.gz
Source0:        https://raw.githubusercontent.com/wiki/sjvermeu/cvechecker/releases/cvechecker-3.7.tar.gz
BuildRequires:  libconfig-devel
BuildRequires:  mariadb-devel
BuildRequires:  sqlite-devel
BuildRequires:  xmlto

%description
The goal of cvechecker is to report about possible vulnerabilities on your
system, by scanning a list of installed software and matching results with the
CVE database.
This is not a bullet-proof method and you will have many false positives
(i.e.: vulnerability is fixed with a revision-release, but the tool isn't able
to detect the revision itself).

%prep
%setup -q
%configure --enable-sqlite3 --enable-mysql --localstatedir=%{_sharedstatedir}

%build
%make_build

%install
%make_install PREFIX="%{_prefix}"  CONFDIR="%{buildroot}%{_sysconfdir}"
xmlto --skip-validation html-nochunks %{buildroot}%{_docdir}/cvechecker/acknowledgements.xml 
xmlto --skip-validation html-nochunks %{buildroot}%{_docdir}/cvechecker/userguide.xml
#/usr/share/doc/cvechecker/
install -Dm644 userguide.html  %{buildroot}%{_docdir}/cvechecker/userguide.html
install -Dm644 acknowledgements.html  %{buildroot}%{_docdir}/cvechecker/acknowledgements.html
rm -f %{buildroot}%{_docdir}/cvechecker/acknowledgements.xml %{buildroot}%{_docdir}/cvechecker/userguide.xml

%check
make check

%files
%doc README.md
%doc ChangeLog
%{_docdir}/cvechecker/acknowledgements.html
%{_docdir}/cvechecker/userguide.html
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/cvechecker.conf
%{_bindir}/*
%attr(0644,root,root) %{_mandir}/man1/*
%{_datadir}/cvechecker
%{_sharedstatedir}/cvechecker/*

%changelog
* Tue Jul 04 2017 Ziqian SUN <sztsian@gmail.com> 3.7-2
- Add debuginfo package and fix some warning

* Tue Mar 14 2017 Ziqian SUN <sztsian@gmail.com> 3.7-1
- initial package
